{% extends "wafer/base.html" %}
{% load crispy_forms_tags %}
{% block title %}{{ WAFER_CONFERENCE_NAME }} - Change Food {{ object.user.userprofile.display_name }}{% endblock %}
{% block content %}
<h1>Food - {{ object.user.userprofile.display_name }}</h1>
{% crispy form %}
{% endblock %}
{% block extra_foot %}
<script type="text/javascript">
'use strict';
$(function() {
  var original = 0;

  // Select all buttons on food selection table
  function updateSelectAllButton(toggle, checkboxes) {
    if (checkboxes.filter(':checked').length == 0) {
      toggle.addClass('fa-square-o')
        .removeClass('fa-minus-square-o fa-check-square-o');
    } else if (checkboxes.filter(':not(:checked)').length == 0) {
      toggle.addClass('fa-check-square-o')
        .removeClass('fa-square-o fa-minus-square-o');
    } else {
      toggle.addClass('fa-minus-square-o')
        .removeClass('fa-square-o fa-check-square-o');
    }
  }
  function calculateTotal() {
    var total = 0;
    var checkboxes = $('#meals input:checked');
    checkboxes.each(function() {
      if (this.value.startsWith('breakfast')) {
        total = total + 3;
      } else if (this.value.startsWith('lunch')) {
        total = total + 7.5;
      } else if (this.value.startsWith('dinner')) {
        total = total + 7.5;
      }
    });
    return total;
  }

  function setOriginal() {
    original = calculateTotal();
    if (original) {
      $('#delta').parent().show();
    }
  }

  function updateTotal() {
    var total = calculateTotal();
    $('#total').html(total.toFixed(2));
    $('#delta').html((total - original).toFixed(2));
  }

  $('#meals i.fa-square-o').each(function() {
    var toggle = $(this);
    var checkboxes = $(this).closest('tr').find('input');
    updateSelectAllButton(toggle, checkboxes);
    $(this).parent().on('click', function(e) {
      var select = checkboxes.filter(':checked').length == 0;
      checkboxes.each(function() {
        this.checked = select;
      });
      updateSelectAllButton(toggle, checkboxes);
      updateTotal();
    });
    checkboxes.each(function() {
      $(this).on('click', function() {
        updateSelectAllButton(toggle, checkboxes);
        updateTotal();
      });
    });
  });

  setOriginal();
  updateTotal();
});
</script>
{% endblock %}
